Bug 1306653 - Save as a DataStream
Save as a DataStream
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-workbench (Show other bugs)
7.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Watson Yuuma Sato
BaseOS QE Security Team
: Reopened
Depends On:
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2016-02-11 09:19 EST by Šimon Lukašík
Modified: 2017-08-21 10:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 14:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Šimon Lukašík 2016-02-11 09:19:36 EST
Description of problem:
We have users that want to save the Tailoring file directly to the DataStream. This is actually quite common use-case outside of OpenSCAP. Even though its merits are not warranted.

See new validation requirements NIST 7511r4 for more details on usage of DataStreams and Tailorings.

There are two possible scenarios.
 - Save Tailoring as a DataStream with a benchmark hint to another DataStream.
 - Save Tailoring as a DataStream with Benchmark included in the same DataStream.

Steps to Reproduce:
1. Customize
2. Save As -> DataStream
3.

Note You need to log in before you can comment on or make changes to this bug.